Get Webhooks for a Pay Link
curl --request GET \
--url https://api.hel.io/v1/webhook/paylink/transaction \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/webhook/paylink/transaction"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/webhook/paylink/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "6812a2fb76c142eb631af95c",
"creator": "undefined",
"paylink": "67e548619967b38ac797d6ce",
"company": "667c1f9352919e407156128c",
"targetUrl": "https://webhook.site/68644b4f-f63c-4815-9b25-51487efbf13a",
"events": [
"CREATED"
],
"sharedToken": "ZFMUzr0wYUSv3rJjYPTSqMVIChFDDRZW9RE3Ls89fZthKJshHTLrjZu6TWsFmg07ERytvFjz2+r0cKfWYkb4LENckjDdfRRIYRxL2NHUDDZPt/WtMnxnxaj+b1VknGZk"
}
]{
"message": "Api key or token is invalid",
"code": 401
}Pay Links
Get Webhooks for a Pay Link
Retrieve all webhooks configured for a Pay Link.
GET
/
v1
/
webhook
/
paylink
/
transaction
Get Webhooks for a Pay Link
NOTE: When using Helio on mainnet, set your Base URL to https://api.hel.io and generate your API keys from moonpay.hel.io . For testnet, use https://api.dev.hel.io and generate your API keys from moonpay.dev.hel.io.
Authorizations
Authentication using JWT token
Query Parameters
The ID of the pay link for which you want to retrieve associated webhooks.
Your API key can be generated on the Helio Dashboard’s settings page.
